<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否
/* セクションID haumenu_define_section_id_08_utility() */
/* タブのスラグ haumenu_define_tab_slug_08_utility() */
/* $option_name 設定名 haumenu_define_option_name_08_utility() */
/* get_option GetOP08_utility() */

/***** 親設定の有効／無効に合わせて子設定の表示方法を変更する *****/
/* 関数名・設定名は画面ごとに変えること（関数重複を防ぐ） */
/* add_action('admin_notices', 'current_pagehook');を追加してページ名を取得し、$page_fooksuffixの値を変える */
/* 連動マップ（ID => セレクター）の項目を編集する */

function haup_child_setting_view_control_08_utility( $hook_suffix ) {
	//ページフックにより出力を判断
	$page_fooksuffix = 'ha-utilitiy_page_haumenu_page_utility';

	if ( $page_fooksuffix !== $hook_suffix ) {
		return;
	}

	//メインスクリプトのハンドル
	$handle = 'haup-child-setting-control-js';

	// メインスクリプトが登録されていなければ終了(スクリプトの読み込みはmain-menu.phpで記述)
	if ( ! wp_script_is( $handle, 'registered' ) ) {
		return;
	}

	//設定名
	$set_name = haumenu_define_option_name_08_utility();

	// 連動マップ（ID => セレクター）
	// 1つのIDに対して複数のCSSクラスを指定する（1つなら1行）
	$dependency_map = array(
		//$set_name . 'enable-set-revisions' => array(
			//'.set-revisions-num-wrapper', // リビジョン数
			//'.set-revisions-posttype-wrapper', // 指定する投稿タイプ
		//),

	);

	$inner_js = "";
	foreach ( $dependency_map as $id => $selectors ) {
		foreach ( (array) $selectors as $selector ) {
			// translators: %s stands for the CSS Class & ID.
			$inner_js .= sprintf(
				"haup_apply_dependency('%s', '%s');\n",
				esc_js( $id ),
				esc_js( $selector )
			);
		}
	}

	if ( $inner_js ) {
		$js_code = "if (window.haup_apply_dependency) {\n" . $inner_js . "}";
		// 第3引数を 'after' にすることで、本体JSの直後に出力
		wp_add_inline_script( $handle, $js_code, 'after' );
	}
}
add_action( 'admin_enqueue_scripts', 'haup_child_setting_view_control_08_utility', 20 );

/*** フロントエンドの一覧に混合する ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_cpt_convine_frontend_lists(){
//項目の追加
	add_settings_field(
		'cpt-convine-frontend-lists', // 設定名
		__('Include custom posts in the list','hima-art-utility'), // 設定タイトル
		'haumenu_cpt_convine_frontend_lists', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_08_utility(), //表示させるタブのスラグ
		haumenu_define_section_id_08_utility(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_cpt_convine_frontend_lists' );

/* 入力フォーム */
function haumenu_cpt_convine_frontend_lists() {
	$set_name = haumenu_define_option_name_08_utility(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'cpt-convine-frontend-lists'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
	<p><?php esc_html_e('Include custom post type content in each listing on the browse screen','hima-art-utility'); ?></p>
</label>
<div class="haup-admin-bk">
	<p><?php esc_html_e('Here is a list of things that mix (consolidate) the content of posts and custom post types:','hima-art-utility'); ?></p>
<ul style="list-style:auto;margin-left: 30px;">
<li><?php esc_html_e('Home (top page of blog-style site)','hima-art-utility'); ?></li>
<li><?php esc_html_e('Blog page (list of posts when the top page is a static page)','hima-art-utility'); ?></li>
<li><?php esc_html_e('Tag/Category/Author list page','hima-art-utility'); ?></li>
</ul>
</div>
<?php
}

/*** ダッシュボードの概要へ記事数追加 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_cpt_convine_admin_detail(){
//項目の追加
	add_settings_field(
		'cpt-convine-admin-detail', // 設定名
		__('Add to admin overview','hima-art-utility'), // 設定タイトル
		'haumenu_cpt_convine_admin_detail', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_08_utility(), //表示させるタブのスラグ
		haumenu_define_section_id_08_utility(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_cpt_convine_admin_detail' );

/* 入力フォーム */
function haumenu_cpt_convine_admin_detail() {
	$set_name = haumenu_define_option_name_08_utility(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'cpt-convine-admin-detail'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
	<p><?php esc_html_e('Show custom post type name and content count for that post type in dashboard overview','hima-art-utility'); ?></p>
</label>
<?php
}

/*** アクティビティへ追加 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_cpt_convine_admin_activity(){
//項目の追加
	add_settings_field(
		'cpt-convine-admin-activity', // 設定名
		__('Add to admin activity','hima-art-utility'), // 設定タイトル
		'haumenu_cpt_convine_admin_activity', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_08_utility(), //表示させるタブのスラグ
		haumenu_define_section_id_08_utility(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_cpt_convine_admin_activity' );

/* 入力フォーム */
function haumenu_cpt_convine_admin_activity() {
	$set_name = haumenu_define_option_name_08_utility(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'cpt-convine-admin-activity'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
	<p><?php esc_html_e('Mix custom post type content into your dashboard activity list','hima-art-utility'); ?></p>
</label>
<?php
}

/* RSS */
/* 項目の追加とデータの更新 */
function haumenu_init_field_cpt_convine_rss_feed(){
//項目の追加
	add_settings_field(
		'cpt-convine-rss-feed', // 設定名
		__('Add to RSS feed','hima-art-utility'), // 設定タイトル
		'haumenu_cpt_convine_rss_feed', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_08_utility(), //表示させるタブのスラグ
		haumenu_define_section_id_08_utility(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_cpt_convine_rss_feed' );

/* 入力フォーム */
function haumenu_cpt_convine_rss_feed() {
	$set_name = haumenu_define_option_name_08_utility(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'cpt-convine-rss-feed'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
	<p><?php esc_html_e('Mix custom post type content into your RSS feed list','hima-art-utility'); ?></p>
</label>
<?php
}

/* Ping */
/* 項目の追加とデータの更新 */
function haumenu_init_field_cpt_convine_ping(){
//項目の追加
	add_settings_field(
		'cpt-convine-ping', // 設定名
		__('Send Ping','hima-art-utility'), // 設定タイトル
		'haumenu_cpt_convine_ping', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_08_utility(), //表示させるタブのスラグ
		haumenu_define_section_id_08_utility(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_cpt_convine_ping' );

/* 入力フォーム */
function haumenu_cpt_convine_ping() {
	$set_name = haumenu_define_option_name_08_utility(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'cpt-convine-ping'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
	<p><?php esc_html_e('Enable ping notifications when custom post type content is published as well as posts','hima-art-utility'); ?></p>
</label>
<?php
}